# PATCH /inventory/locations/:location_id

**Resource:** [INVENTORY](./inventory.md)  
**MCP tool:** `update_inventory_location`  
**Scopes:** `products:write`  
**Write operation:** yes

Update an inventory location. Pass only the fields you want to change.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `location_id` | path | string | yes |  |
| `name` | body | string | no |  |
| `is_default` | body | boolean | no |  |
| `is_active` | body | boolean | no |  |

## Request example

```bash
curl -X PATCH   "https://api.trustpager.com/functions/v1/api/v1/inventory/locations/:location_id"   -H "Authorization: Bearer YOUR_API_KEY"   -H "Content-Type: application/json"   -d '{"name":"...","is_default":"...","is_active":"..."}'
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`